Bug 185109 - gnome-power-manager tries to suspend the system ever 30 minutes
gnome-power-manager tries to suspend the system ever 30 minutes
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks: FC5Target
  Show dependency treegraph
 
Reported: 2006-03-10 13:21 EST by Jesse Keating
Modified: 2013-03-13 00:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-22 15:29:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2006-03-10 13:21:20 EST
On a fresh install of 3/09/2006's rawhide on PPC the system will try to suspend
every 30 minutes due to system inactivity.  This seems to be reading the setting
from when to blank the display, not suspend the system.  I'm running a test to
see if it happens on !ppc, won't know for another 20 minutes or so.
Comment 1 Ray Strode [halfline] 2006-03-10 14:26:10 EST
Can post the output of

gconftool-2 -R /apps/gnome-power-manager

and any relevent log messages to this report?
Comment 2 Jesse Keating 2006-03-10 15:00:14 EST
gconftool-2 outputs nothing.

Log entry is:

gnome-power-manager: Suspending computer because the system state is idle
Comment 3 Jesse Keating 2006-03-10 15:29:17 EST
n/m, I forgot -R

 use_icon_for_desktops = false
 check_type_cpu = true
 can_hibernate = true
 ac_sleep_display = 1800
 battery_brightness = 50
 action_button_power = interactive
 lock_on_hibernate = true
 battery_sleep_computer = 1200
 action_ac_button_lid = blank
 lock_on_suspend = true
 dim_on_idle = true
 lock_on_blank_screen = true
 notify_hal_error = true
 ac_brightness = 100
 use_time_for_policy = true
 notify_fully_charged = true
 display_icon_policy = always
 action_button_suspend = suspend
 action_sleep_type = suspend
 notify_ac_adapter = true
 ac_sleep_computer = 0
 battery_sleep_display = 300
 action_battery_button_lid = suspend
 can_suspend = true
 action_button_hibernate = hibernate
 action_battery_critical = shutdown
 check_type_net = true
 lock_use_screensaver_settings = true
Comment 4 Richard Hughes 2006-03-11 08:57:46 EST
I'm not sure that it is reading the wrong value -- is your inactivity value in
gnome-screensaver-preferences set to 10 minutes by any chance?

The inactivity slider in g-p-m waits for the inactive signal from g-s (default
10 minutes I think) and then starts it's internal countdown (in your case 20
minutes) -- so you get 30 minutes total. g-s decides that the session is idle,
g-p-m decides that the "computer" is idle.

Maybe we should add that to the yelp help, or maybe just start the sliders at
the value set by gnome-screensaver.
Comment 5 Jesse Keating 2006-03-11 09:05:30 EST
Why would g-p-m be trying to suspend it though?  The preferences for g-p-m state
that it should never sleep.
Comment 6 Richard Hughes 2006-03-11 09:13:14 EST
Hmm... good question. Is your g-s idle setting set to 30 minutes? We might be
taking the value of 0 to mean "no time", rather than "never".
Comment 7 Jesse Keating 2006-03-11 09:21:23 EST
I'll have to look at the gnome-screensaver slider.  It is what we do by default
on Fedora, which is probably 10 minutes.  gnome-power-manager setting for
putting the display to sleep is 30, and the system to sleep is Never.  Of note,
this only seems to happen on ppc, a g4 mini mac.
Comment 8 Richard Hughes 2006-03-11 09:24:34 EST
>Of note, this only seems to happen on ppc, a g4 mini mac.

Odd.. we treat the dpms stuff exactly the same. Are you sure something else
might not be triggering the dpms, say something like an xsetting or the monitor
itself?
Comment 9 Jesse Keating 2006-03-11 09:27:22 EST
Theoretically it could be the LCD, I can disconnect the LCD all together and see
if it still triggers.  I don't think it is any xsetting, I certianly haven't set
anything.
Comment 10 Jesse Keating 2006-06-22 15:29:03 EDT
Can't duplicate this anymore.

Note You need to log in before you can comment on or make changes to this bug.